### Method

# Gtk Widget observe_controllers

#### Declaration [src]

    GListModel*
    gtk_widget_observe_controllers (
      GtkWidget* widget
    )

#### Description [src]

Returns a `GListModel` to track the `GtkEventController`s of `widget`.

Calling this function will enable extra internal bookkeeping to track controllers and emit signals on the returned listmodel. It may slow down operations a lot.

Applications should try hard to avoid calling this function because of the slowdowns.

#### Return value

Returns: | `GListModel*`
| a `GListModel` tracking `widget`‘s controllers.
| The caller of the function takes ownership of the data, and is responsible for freeing it.